package ovh.herisson.Clyde.Tables.ScientificPublications;

/******************************************************
 * @file Article.java
 * @author Maxime Bartha
 * @scope Extension Publications scientifiques
 *
 * Article entity
 *
 ******************************************************/
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.hibernate.annotations.CreationTimestamp;
import org.hibernate.annotations.OnDelete;
import org.hibernate.annotations.OnDeleteAction;
import ovh.herisson.Clyde.Tables.User;
import java.util.Date;
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Entity
public class Article {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;

    private String title;

    @ManyToOne(fetch = FetchType.EAGER)
    @OnDelete(action = OnDeleteAction.CASCADE)
    @JoinColumn(name ="Researcher")
    private Researcher author;

    @CreationTimestamp
    @Column(nullable = false)
    private Date releaseDate;

    private PaperType paperType;

    private String pdfLocation;

    private String bibTexLocation;

    private String language;

    private Access access;

    private String domain;

    private String summary;

    private int views;
}

